## Project Description 

The dataset can be found [here](https://www.kaggle.com/datasets/divyansh22/online-gaming-anxiety-data).



## Installation 

To install this package, navigate to this Readme's directory (the project root directory) and run the following:
```sh
pip install -e .
```

It is also possible to use the code in this repository without installing the package. Instead, simply import the code from the `src/` folder, as seen in the [Usage section](#usage) below.

## Usage 
To get started, import the `Dataset` and `Plotter` classes.

```python
from src.Dataset import Dataset
from src.Plotter import Plotter
```

Then, locate the [`GamingStudy_data.csv`](./data/GamingStudy_data.csv) file relative to your current working directory, and feed that path into the `Dataset` class to initialise the dataset. Then, feed the Dataset instance into the `Plotter` class:

```python
dataset = Dataset("data\GamingStudy_data.csv")
dataframe = dataset.get_dataframe() # access the underlying pandas DataFrame
plotter = Plotter(dataset)
```

An example of how to use this code can be seen in the [computational narrative](./Notebook.ipynb).

## Features 

## Documentation

## Contributing

## Authors

## License - Open Source Commitment and FAIR Software Development

To embrace open source development and FAIR software development principles,
we would like to encourage anyone interested in the topic to help expand on this
software library and data analysis. To help with that, we have put together a 
[Contribution Guideline](CONTRIBUTION.md) as well as a 
[Code of Conduct](CONDUCT.md).

## Extra