# Requirements

## Functional Requirements

### User Requirements

#### Data

- Users should be able to get an overview of the dataset at hand:
  - how many rows are there?
  - what columns are there?

- Users should be able to get metrics like mean of a single column of a dataset
- Users should be able to extract a few rows that matches a selected criteria.
- Users should be able to be able to treat outliers in a set. That way you can circumvent fake/joke answers and prevent a plot from blowing up.

#### Plotting

- Users should be able to have different and easy plotting abilities. I would prefer only entering the plot with the columns I need
- Users should be able to have a disribution option so that they see the answers grouped up by size

### User Stories

1. "As a researcher, I want to customize the plotting f.e. like color,axes titles, sorting and colors, so that I can fit the output to my needs"
2. "As a user I want to have detailed documentation/docstrings and logs in case I make a mistake using the code. This should make fixing my mistakes and using the software more straight forward.
3. "As a user I want to know who made contributed to this project and have a proper README and other supporting files.
4. "As a researcher I want the dataset to be properly processed. The data should be cleaned and unnecessary/unusable either already deleted or easyily removable. Thereby the data is easier to understand and work with.
5. "As a user I want a license that let me use, view and extend on the code"
6. "As a researcher I want multiple plotting options. I would like
   - bar charts,
   - stacked bars,
   - grouped bar charts,
   - histograms,
   - box charts
   - scatter

   plots to be included.

7. "As a researcher I want easy ways to filter the data and pull information from that. For example
   - Pulling the unique answers in one column
   - Answers grouped by size
   - An option to sort those columns

## Non-Functional Requirements - Niklas
